key: markdownCore
title: Core
description: Basic Markdown Parser
author: requarks.io
input: markdown
output: html
icon: mdi-language-markdown
props:
  allowHTML:
    type: Boolean
    default: true
    title: Allow HTML
    hint: Enable HTML tags in content.
    order: 1
    public: true
  linkify:
    type: Boolean
    default: true
    title: Automatically convert links
    hint: Links will automatically be converted to clickable links.
    order: 2
    public: true
  linebreaks:
    type: Boolean
    default: true
    title: Automatically convert line breaks
    hint: Add linebreaks within paragraphs.
    order: 3
    public: true
  underline:
    type: Boolean
    default: false
    title: Underline Emphasis
    hint: Enable text underlining by using _underline_ syntax.
    order: 4
    public: true
  typographer:
    type: Boolean
    default: false
    title: Typographer
    hint: Enable some language-neutral replacement + quotes beautification.
    order: 5
    public: true
  quotes:
    type: String
    default: English
    title: Quotes style
    hint: When typographer is enabled. Double + single quotes replacement pairs. e.g. «»„“ for Russian, „“‚‘ for German, etc.
    order: 6
    enum:
      - Chinese
      - English
      - French
      - German
      - Greek
      - Japanese
      - Hungarian
      - Polish
      - Portuguese
      - Russian
      - Spanish
      - Swedish
    public: true
